Bug 872909 - Review Request: rubygem-test-unit-rr - Test::Unit::RR - RR adapter for Test::Unit
Review Request: rubygem-test-unit-rr - Test::Unit::RR - RR adapter for Test::...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Darryl L. Pierce
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-04 01:39 EST by Mamoru TASAKA
Modified: 2015-06-21 20:08 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-03 02:25:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dpierce: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Mamoru TASAKA 2012-11-04 01:42:04 EST
F-17 is this: http://koji.fedoraproject.org/koji/taskinfo?taskID=4653362
Comment 2 Sébastien Boisvert 2012-11-04 01:50:11 EST
Hello,

This is an informal review as I am not sponsored yet.

> # https://github.com/test-unit/test-unit-rr/issues/1

This can be removed as upstream indicated LGPLv2+ at https://github.com/test-unit/test-unit-rr/issues/1

> %description
> Test::Unit::RR - RR adapter for Test::Unit.

I think the description should be longer and should contain less programming wording. For instance, I don't know what is an RR adapter.

> # No test suite available currently

There should be a %check before that line as this comment is related to the %check section.
Comment 3 Mamoru TASAKA 2012-11-04 02:52:20 EST
Hello:

(In reply to comment #2)
> This is an informal review as I am not sponsored yet.
> > # https://github.com/test-unit/test-unit-rr/issues/1
> 
> This can be removed as upstream indicated LGPLv2+ at
> https://github.com/test-unit/test-unit-rr/issues/1

So I explicitly wrote the URL above to clarify the license
because the upstream clarified the license on the above URL.

> > %description
> > Test::Unit::RR - RR adapter for Test::Unit.
> 
> I think the description should be longer and should contain less programming
> wording. For instance, I don't know what is an RR adapter.

I think using what is written on the metadata directly is
less confusiong.

> > # No test suite available currently
> 
> There should be a %check before that line as this comment is related to the
> %check section.

Writing %check will create %check section unneededly so I don't want
to write it for now.
Comment 5 Darryl L. Pierce 2012-12-30 20:18:22 EST
Sorry I've been away on vacation the past 10 days.

Initial attempts to build I found a missing BuildRequire for the rr gem. Upon installing this, I was able to build cleanly. Please add that to the specfile. Due to this error fedora-review fails the package entirely.

Could you add that and any other BRs and post a new SRPM and specfile?
Comment 6 Darryl L. Pierce 2012-12-30 20:31:15 EST
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- gems should require rubygems package
  Note: Requires: rubygems missing in rubygem-test-unit-notify-doc
  See: http://fedoraproject.org/wiki/Packaging:Ruby#RubyGems
- License field in the package spec file matches the actual license.
  Note: Checking patched sources after %prep for licenses. No licenses found.
  Please check the source files for licenses manually.
  See: http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#ValidLicenseShortNames


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[-]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.

Ruby:
[-]: Platform dependent files must all go under %{gem_extdir}, platform
     independent under %{gem_dir}.
[x]: Gem package must not define a non-gem subpackage
[x]: Gem package is named rubygem-%{gem_name}
[x]: Package contains BuildRequires: rubygems-devel.
[x]: Gem package must define %{gem_name} macro.
[x]: Pure Ruby package must be built as noarch
[x]: Package contains Requires: ruby(abi).

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Ruby:
[x]: Specfile should use macros from rubygem-devel package.
     Note: The specfile doesn't use these macros: %doc %{gem_docdir}, %exclude
     %{gem_cache}, %{gem_spec}, %{gem_libdir}
[-]: Test suite of the library should be run.
[x]: Gem package should exclude cached Gem.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rubygem-test-unit-notify-0.3.0-1.fc17.noarch.rpm
          rubygem-test-unit-notify-doc-0.3.0-1.fc17.noarch.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint rubygem-test-unit-notify-doc rubygem-test-unit-notify
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
rubygem-test-unit-notify-doc (rpmlib, GLIBC filtered):
    rubygem-test-unit-notify

rubygem-test-unit-notify (rpmlib, GLIBC filtered):
    ruby
    ruby(abi)
    ruby(rubygems)
    rubygem(test-unit)



Provides
--------
rubygem-test-unit-notify-doc:
    rubygem-test-unit-notify-doc

rubygem-test-unit-notify:
    rubygem(test-unit-notify)
    rubygem-test-unit-notify



MD5-sum check
-------------
http://rubygems.org/gems/test-unit-notify-0.3.0.gem :
  CHECKSUM(SHA256) this package     : 92cf004d0e0ff353715388f71484034cce12f51fcff26707456f0b2a7fde4e17
  CHECKSUM(SHA256) upstream package : 92cf004d0e0ff353715388f71484034cce12f51fcff26707456f0b2a7fde4e17


Generated by fedora-review 0.3.1 (93e63af) last change: 2012-11-30
Buildroot used: fedora-17-x86_64
Command line :/home/mcpierce/temp/FedoraReview/try-fedora-review -b 872910


APPROVED!
Comment 8 Mamoru TASAKA 2012-12-30 23:51:00 EST
Thank you for review.

New Package SCM Request
=======================
Package Name: rubygem-test-unit-rr
Short Description: Test::Unit::RR - RR adapter for Test::Unit
Owners: mtasaka
Branches: f17 f18
InitialCC:
Comment 9 Gwyn Ciesla 2013-01-01 15:24:34 EST
Git done (by process-git-requests).
Comment 10 Mamoru TASAKA 2013-01-03 02:25:41 EST
Imported. Thank you for review and git procedure.

Note You need to log in before you can comment on or make changes to this bug.